<?
/*	loaddata.php
 *
 */

define("WEATHER_DATA_PATH", "/home/pi/ws2355/data/");
define("WS_LOG_FILE", WEATHER_DATA_PATH."ws2308.log");


// Loading current data from station

$f = @fopen(WEATHER_DATA_PATH."current.txt", "r");
while($f && !feof($f))
{
	$value = fgets($f);
	{
		list($parameter,$parvalue)=explode(" ", $value);
		$ws["$parameter"]=trim($parvalue);
	}
}
@fclose($f);


// Search last history timestamp in last_history.txt

$f_last_history = @fopen(WEATHER_DATA_PATH."last_history.txt", "r");
if($f_last_history)
{
	$lasttimestamp = trim(fgets($f_last_history));
	fclose($f_last_history);
}
else
{
	$lasttimestamp = "00000000000000";
}

// Reading history file WS_LOG_FILE

$monthfile="";
$f_monthfile=FALSE;

$f_log_file = fopen(WS_LOG_FILE, "r");

if($f_log_file)
{
	while(!feof($f_log_file))
	{
		$histline = trim(fgets($f_log_file));
		$timestamp = substr($histline, 0, 14);
		if($timestamp <= $lasttimestamp)
			continue;
		$month = substr($histline, 0, 6);
		if($month != $monthfile)
		{
			$monthfile = $month;
			if($f_monthfile)
				fclose($f_monthfile);
			$f_monthfile = fopen(WEATHER_DATA_PATH."m".$monthfile.".txt", "a");
		}
		fputs($f_monthfile, $histline." \n");
		$lasttimestamp = $timestamp;
	}
	fclose($f_log_file);
	if($f_monthfile)
		fclose($f_monthfile);
}

// Save last history timestamp
$f_last_history = @fopen(WEATHER_DATA_PATH."last_history.txt", "w");
if($f_last_history)
{
	fwrite($f_last_history, $lasttimestamp."\n");
	fclose($f_last_history);
}

// Save wind gust

$windtimestamp = str_replace("-","",$ws["DWSmax"]).str_replace(":","",$ws["TWSmax"])."00";
$windfile = substr($windtimestamp,0,6);
$f_windfile = fopen(WEATHER_DATA_PATH."w".$windfile.".txt", "a");
if($f_windfile)
{
	fputs($f_windfile, $windtimestamp." ".$ws["DWSmax"]." ".$ws["TWSmax"].":00 ".$ws["WSmax"]." \n");
	fclose($f_windfile);
}

?>
